<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Mini51 BSP: Nu-LB-Mini51/inc/i2c_software_gpio_with_timer.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="M0Banner_v2.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Mini51 BSP
   &#160;<span id="projectnumber">V3.02.002</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_2257da8f9ae81bafff8ef39204f6b7df.html">Nu-LB-Mini51</a></li><li class="navelem"><a class="el" href="dir_fb1ccf00aaf7e34f2c293a38601d8f12.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">i2c_software_gpio_with_timer.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the header file of <a class="el" href="i2c__software__gpio__with__timer_8c.html" title="MINI51 series software I2C driver source file.">i2c_software_gpio_with_timer.c</a>.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>&quot;</code><br />
</div>
<p><a href="i2c__software__gpio__with__timer_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_i2_c___s_w___f_l_a_g___t.html">I2C_SW_FLAG_T</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ac1f09962a4e8407f58384531270dc131"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="i2c__software__gpio__with__timer_8h.html#ac1f09962a4e8407f58384531270dc131">I2C_SW_I_Open</a> (uint32_t u32BusClock)</td></tr>
<tr class="memdesc:ac1f09962a4e8407f58384531270dc131"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prepare to start software I2C.  <a href="#ac1f09962a4e8407f58384531270dc131">More...</a><br /></td></tr>
<tr class="separator:ac1f09962a4e8407f58384531270dc131"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1718089f74461b7482360f5dd0b284d"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="i2c__software__gpio__with__timer_8h.html#ad1718089f74461b7482360f5dd0b284d">I2C_SW_I_Send</a> (uint8_t u8Address, uint8_t *p8Data, uint32_t u32ByteSize)</td></tr>
<tr class="memdesc:ad1718089f74461b7482360f5dd0b284d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send data.  <a href="#ad1718089f74461b7482360f5dd0b284d">More...</a><br /></td></tr>
<tr class="separator:ad1718089f74461b7482360f5dd0b284d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedbe35225c1a245d8767f94bda029017"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="i2c__software__gpio__with__timer_8h.html#aedbe35225c1a245d8767f94bda029017">I2C_SW_I_Get</a> (uint8_t u8Address, uint8_t *p8Data, uint32_t u32ByteSize)</td></tr>
<tr class="memdesc:aedbe35225c1a245d8767f94bda029017"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read data.  <a href="#aedbe35225c1a245d8767f94bda029017">More...</a><br /></td></tr>
<tr class="separator:aedbe35225c1a245d8767f94bda029017"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acef25674042c84614c2e54e26b99275b"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="i2c__software__gpio__with__timer_8h.html#acef25674042c84614c2e54e26b99275b">I2C_SW_I_IsBZ</a> (void)</td></tr>
<tr class="memdesc:acef25674042c84614c2e54e26b99275b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check if I2C is busy.  <a href="#acef25674042c84614c2e54e26b99275b">More...</a><br /></td></tr>
<tr class="separator:acef25674042c84614c2e54e26b99275b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92ef1cc8ac1c2a2f3f02ef76eeef8730"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="i2c__software__gpio__with__timer_8h.html#a92ef1cc8ac1c2a2f3f02ef76eeef8730">I2C_SW_I_Count</a> (void)</td></tr>
<tr class="memdesc:a92ef1cc8ac1c2a2f3f02ef76eeef8730"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return byte counter.  <a href="#a92ef1cc8ac1c2a2f3f02ef76eeef8730">More...</a><br /></td></tr>
<tr class="separator:a92ef1cc8ac1c2a2f3f02ef76eeef8730"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This is the header file of <a class="el" href="i2c__software__gpio__with__timer_8c.html" title="MINI51 series software I2C driver source file.">i2c_software_gpio_with_timer.c</a>. </p>
<dl class="section version"><dt>Version</dt><dd>V0.10 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>5 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>13/11/07 4:40p </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="i2c__software__gpio__with__timer_8h_source.html">i2c_software_gpio_with_timer.h</a>.</p>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="a92ef1cc8ac1c2a2f3f02ef76eeef8730"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a92ef1cc8ac1c2a2f3f02ef76eeef8730">&#9670;&nbsp;</a></span>I2C_SW_I_Count()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t I2C_SW_I_Count </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Return byte counter. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">-</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Byte</td><td>counter </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="i2c__software__gpio__with__timer_8c_source.html#l00271">271</a> of file <a class="el" href="i2c__software__gpio__with__timer_8c_source.html">i2c_software_gpio_with_timer.c</a>.</p>

</div>
</div>
<a id="aedbe35225c1a245d8767f94bda029017"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aedbe35225c1a245d8767f94bda029017">&#9670;&nbsp;</a></span>I2C_SW_I_Get()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t I2C_SW_I_Get </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>u8Address</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>p8Data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ByteSize</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Read data. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">u8Address</td><td>I2C slave address </td></tr>
    <tr><td class="paramname">p8Data</td><td>data address </td></tr>
    <tr><td class="paramname">u32ByteSize</td><td>data length </td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Success </td></tr>
    <tr><td class="paramname">1</td><td>Fail </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="i2c__software__gpio__with__timer_8c_source.html#l00284">284</a> of file <a class="el" href="i2c__software__gpio__with__timer_8c_source.html">i2c_software_gpio_with_timer.c</a>.</p>

</div>
</div>
<a id="acef25674042c84614c2e54e26b99275b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acef25674042c84614c2e54e26b99275b">&#9670;&nbsp;</a></span>I2C_SW_I_IsBZ()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t I2C_SW_I_IsBZ </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Check if I2C is busy. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Not Busy </td></tr>
    <tr><td class="paramname">1</td><td>Busy </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="i2c__software__gpio__with__timer_8c_source.html#l00261">261</a> of file <a class="el" href="i2c__software__gpio__with__timer_8c_source.html">i2c_software_gpio_with_timer.c</a>.</p>

</div>
</div>
<a id="ac1f09962a4e8407f58384531270dc131"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac1f09962a4e8407f58384531270dc131">&#9670;&nbsp;</a></span>I2C_SW_I_Open()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t I2C_SW_I_Open </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32BusClock</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Prepare to start software I2C. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">u32BusClock</td><td>I2C Bus Clock (Hz) </td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Success </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="i2c__software__gpio__with__timer_8c_source.html#l00033">33</a> of file <a class="el" href="i2c__software__gpio__with__timer_8c_source.html">i2c_software_gpio_with_timer.c</a>.</p>

</div>
</div>
<a id="ad1718089f74461b7482360f5dd0b284d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1718089f74461b7482360f5dd0b284d">&#9670;&nbsp;</a></span>I2C_SW_I_Send()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t I2C_SW_I_Send </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>u8Address</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>p8Data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ByteSize</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Send data. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">u8Address</td><td>I2C slave address </td></tr>
    <tr><td class="paramname">p8Data</td><td>data address </td></tr>
    <tr><td class="paramname">u32ByteSize</td><td>data length </td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">1</td><td>I2C is busy </td></tr>
    <tr><td class="paramname">0</td><td>Success </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="i2c__software__gpio__with__timer_8c_source.html#l00232">232</a> of file <a class="el" href="i2c__software__gpio__with__timer_8c_source.html">i2c_software_gpio_with_timer.c</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Oct 5 2020 14:31:43 for Mini51 BSP by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
